VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| DebugMarkerObjectNameInfoEXT (DebugReportObjectTypeEXT objectType_=DebugReportObjectTypeEXT::eUnknown, uint64_t object_=0, const char *pObjectName_=nullptr)
| DebugMarkerObjectNameInfoEXT (VkDebugMarkerObjectNameInfoEXT const &rhs)
DebugMarkerObjectNameInfoEXT & | operator= (VkDebugMarkerObjectNameInfoEXT const &rhs)
DebugMarkerObjectNameInfoEXT & | setPNext (const void *pNext_)
DebugMarkerObjectNameInfoEXT & | setObjectType (DebugReportObjectTypeEXT objectType_)
DebugMarkerObjectNameInfoEXT & | setObject (uint64_t object_)
DebugMarkerObjectNameInfoEXT & | setPObjectName (const char *pObjectName_)
| operator VkDebugMarkerObjectNameInfoEXT const & () const
| operator VkDebugMarkerObjectNameInfoEXT & ()
bool | operator== (DebugMarkerObjectNameInfoEXT const &rhs) const
bool | operator!= (DebugMarkerObjectNameInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
DebugReportObjectTypeEXT | objectType
uint64_t | object
const char * | pObjectName

## Private Attributes

StructureType | sType = StructureType::eDebugMarkerObjectNameInfoEXT

## Detailed Description

Definition at line 29844 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DebugMarkerObjectNameInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::DebugMarkerObjectNameInfoEXT | ( | DebugReportObjectTypeEXT | objectType_ = `DebugReportObjectTypeEXT::eUnknown`,
|  | uint64_t | object_ = `0`,
|  | const char * | pObjectName_ = `nullptr`
| ) |  |

inline

Definition at line 29846 of file vulkan.hpp.

: objectType( objectType_ )
, object( object_ )
, pObjectName( pObjectName_ )
{
}

## DebugMarkerObjectNameInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::DebugMarkerObjectNameInfoEXT | ( | VkDebugMarkerObjectNameInfoEXT const & | rhs | ) |

inline

Definition at line 29855 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugMarkerObjectNameInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkDebugMarkerObjectNameInfoEXT &()

VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::operator VkDebugMarkerObjectNameInfoEXT & | ( |  | ) |

inline

Definition at line 29894 of file vulkan.hpp.

{
return *reinterpret_cast<VkDebugMarkerObjectNameInfoEXT*>(this);
}

## operator VkDebugMarkerObjectNameInfoEXT const &()

VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::operator VkDebugMarkerObjectNameInfoEXT const & | ( |  | ) | const

inline

Definition at line 29889 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDebugMarkerObjectNameInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::operator!= | ( | DebugMarkerObjectNameInfoEXT const & | rhs | ) | const

inline

Definition at line 29908 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

DebugMarkerObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::operator= | ( | VkDebugMarkerObjectNameInfoEXT const & | rhs | ) |

inline

Definition at line 29860 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( DebugMarkerObjectNameInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::operator== | ( | DebugMarkerObjectNameInfoEXT const & | rhs | ) | const

inline

Definition at line 29899 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( objectType == rhs.objectType )
&& ( object == rhs.object )
&& ( pObjectName == rhs.pObjectName );
}

References object, objectType, pNext, pObjectName, and sType.

Referenced by operator!=().

## setObject()

DebugMarkerObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::setObject | ( | uint64_t | object_ | ) |

inline

Definition at line 29877 of file vulkan.hpp.

{
object = object_;
return *this;
}

## setObjectType()

DebugMarkerObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::setObjectType | ( | DebugReportObjectTypeEXT | objectType_ | ) |

inline

Definition at line 29871 of file vulkan.hpp.

{
objectType = objectType_;
return *this;
}

## setPNext()

DebugMarkerObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 29865 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPObjectName()

DebugMarkerObjectNameInfoEXT& VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::setPObjectName | ( | const char * | pObjectName_ | ) |

inline

Definition at line 29883 of file vulkan.hpp.

{
pObjectName = pObjectName_;
return *this;
}

References pObjectName.

## Field Documentation

## object

uint64_t VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::object

Definition at line 29919 of file vulkan.hpp.

Referenced by operator==().

## objectType

DebugReportObjectTypeEXT VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::objectType

Definition at line 29918 of file vulkan.hpp.

Referenced by operator==().

## pNext

const void* VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::pNext = nullptr

Definition at line 29917 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pObjectName

const char* VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::pObjectName

Definition at line 29920 of file vulkan.hpp.

Referenced by operator==(), and setPObjectName().

## sType

StructureType VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::sType = StructureType::eDebugMarkerObjectNameInfoEXT

private

Definition at line 29914 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VkDebugMarkerObjectNameInfoEXT
Definition: vulkan_core.h:6304
VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::DebugMarkerObjectNameInfoEXT
DebugMarkerObjectNameInfoEXT(DebugReportObjectTypeEXT objectType_=DebugReportObjectTypeEXT::eUnknown, uint64_t object_=0, const char *pObjectName_=nullptr)
Definition: vulkan.hpp:29846
VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::operator==
bool operator==(DebugMarkerObjectNameInfoEXT const &rhs) const
Definition: vulkan.hpp:29899
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::pObjectName
const char * pObjectName
Definition: vulkan.hpp:29920
VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::objectType
DebugReportObjectTypeEXT objectType
Definition: vulkan.hpp:29918
VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::object
uint64_t object
Definition: vulkan.hpp:29919
objectType
EGLenum objectType
Definition: eglext.h:128
VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:29914
VULKAN_HPP_NAMESPACE::DebugMarkerObjectNameInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:29917